### Method

# Gimp Layer get_composite_mode

since: 2.10

#### Declaration [src]

    GimpLayerCompositeMode
    gimp_layer_get_composite_mode (
      GimpLayer* layer
    )

#### Description [src]

Get the composite mode of the specified layer.

This procedure returns the specified layer’s composite mode.

Available since: 2.10

#### Return value

Type: `GimpLayerCompositeMode`

The layer composite mode.